Bug 1568378 - Allow --ssh-user option on update/upgrade run commands
Summary: Allow --ssh-user option on update/upgrade run commands
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Jiri Stransky
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 11:33 UTC by Jiri Stransky
Modified: 2018-06-27 13:51 UTC (History)
7 users (show)

Fixed In Version: python-tripleoclient-9.2.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:51:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 559310 None stable/queens: MERGED python-tripleoclient: Generate inventory with tripleo-admin user (Idc0dba7a119efedae7f762d3a351419c22584b61) 2018-04-19 14:29:31 UTC
OpenStack gerrit 559311 None stable/queens: MERGED python-tripleoclient: Allow providing --ssh-user for update/upgrade run commands (I0df57002b2305c1e2504c9f7a7d0c326d8ffc... 2018-04-19 14:29:26 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:51:45 UTC

Description Jiri Stransky 2018-04-17 11:33:33 UTC
Environments based on deployed servers (not using Nova+Ironic to manage bare metal) might not have heat-admin user present and ready for Mistral to ssh into. We need to accept --ssh-user parameter for the update/upgrade run commands.

Comment 4 errata-xmlrpc 2018-06-27 13:51:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.